Debian Bug report logs - #592300
unblock: xz-utils/5.0.0-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Mon, 9 Aug 2010 03:24:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 03:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 03:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: future unblock: xz-utils/5.0.0
Date: Sun, 8 Aug 2010 22:20:19 -0500
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: wishlist
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

The following is just a heads up; I have not prepared the uploads yet.

XZ Utils 5.0.0 is likely to be released some time in the next few
weeks.  As the upstream maintainer explains:

| In case of XZ Utils, a stable release is a promise about API, ABI, and
| command line syntax compatibility long into the future.

Therefore I would like (pretty please?) to align with upstream on this.

Planned upstream changes:

 1. Disable the memory usage limiter by default, changing the output
    of --info-memory in a backwards incompatible way and introducing
    an XZ_DEFAULTS environment variable to turn it back on.  This change
    has already been made upstream.

 2. Tune the compression presets.  The -2, -3, etc options will have
    their meanings frozen to use particular compression settings (which
    in particular implies particular level of memory usage at
    decompression time) that are more sensible than the current values.

 3. Change soname to liblzma.so.5 so downstream distributions can
    share ABI.

I would like to make updates doing (1) and (2) for Squeeze and skip (3).
Bug#592298 tracks the xz-utils side.

The diffs for (1) [plus some irrelevant Windows changes] are attached.

Thoughts?
[01-windows-dont-strip.patch (text/x-diff, attachment)]
[02-windows-bashims.patch (text/x-diff, attachment)]
[03-windows-INSTALL.patch (text/x-diff, attachment)]
[04-manual-typos (text/plain, attachment)]
[05-const-global.patch (text/x-diff, attachment)]
[06-disable-memlimit.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 03:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 592300@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Mon, 9 Aug 2010 05:45:54 +0200
user release.debian.org@packages.debian.org
usertags 592300 transition
thanks

On  0, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Package: release.debian.org
> Severity: wishlist
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
> 

This is not a freeze-exception for your package only but rather a request
to start a new transition. Let me recall that there was a transition
freeze announced a while ago. Thus, it's very unlikely that we accept this
transition for Squeeze.

FWIW, The list of reverse dependencies is:

libarchive  
kde4libs  
gtkwave  
shogun  
rpm  
fsarchiver  
mupen64plus  
python-lzma  
kdeutils  
elfutils  
kdebase-runtime

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 03:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Sun, 8 Aug 2010 22:46:59 -0500
Mehdi Dogguy wrote:

> This is not a freeze-exception for your package only but rather a request
> to start a new transition. Let me recall that there was a transition
> freeze announced a while ago. Thus, it's very unlikely that we accept this
> transition for Squeeze.

Please reread my message.  I would like not to bump the soname, since
there is nothing to bump soname for.

> FWIW, The list of reverse dependencies is:

I am not _that_ stupid, you know.

Still, thanks for the quick reply,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 03:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 592300@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Mon, 9 Aug 2010 05:54:26 +0200
On  0, Mehdi Dogguy <mehdi@dogguy.org> wrote:
> 
> This is not a freeze-exception for your package only but rather a request
> to start a new transition. Let me recall that there was a transition
> freeze announced a while ago.

Hum... actually, we are even frozen, which means "no new transitions".
It really depends on how much time other ongoing/planned transitions will
take. But, don't hold your breath... we will probably put xz-utils's
transition for Squeeze+1.

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 04:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 04:06:02 GMT) Full text and rfc822 format available.

Message #25 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Sun, 8 Aug 2010 23:00:57 -0500
user release.debian.org@packages.debian.org
usertags 592300 freeze-exception
thanks

Mehdi Dogguy wrote:

> This is not a freeze-exception for your package only but rather a request
> to start a new transition.

Sorry about my last reply; I am a little sensitive about this because of
http://bugs.debian.org/572961 (the most upsetting part of which was not
public).  In reality my freeze exception request made the upstream
change to a stable soname much more prominent than my intent not to
follow that in Debian.

More constructively:

The proposed upstream memory usage limiter changes do not affect
liblzma.

I do not believe any package in Debian uses --info-memory.

The compression preset changes will probably not affect -6 and -7
(used by dpkg and rpm, respectively) but in any case I will be in
touch with you when they are finalized.

Apologies again for my last mail.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 04:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 04:06:04 GMT) Full text and rfc822 format available.

Message #30 received at 592300@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Mon, 9 Aug 2010 06:02:49 +0200
On  0, Jonathan Nieder <jrnieder@gmail.com> wrote:
> 
> Please reread my message.  I would like not to bump the soname, since
> there is nothing to bump soname for.
> 

Right. I'll reread the patches then. My eyes saw:

> * The soname of liblzma (upstream, at least) will be liblzma.so.5.

and my disk said "liblzma.so.2". They started to fight each other and I had
to answer quickly.

> > FWIW, The list of reverse dependencies is:
> 
> I am not _that_ stupid, you know.
> 

Please, don't misunderstand my message. I listed the reverse dependencies for
other people reading the buglog to be able to have a quick idea on what it is
about.

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 09 Aug 2010 04:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Aug 2010 04:24:05 GMT) Full text and rfc822 format available.

Message #35 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Sun, 8 Aug 2010 23:11:00 -0500
Mehdi Dogguy wrote:

> My eyes saw:
>
>> * The soname of liblzma (upstream, at least) will be liblzma.so.5.
>
> and my disk said "liblzma.so.2". They started to fight each other and I had
> to answer quickly.

Quite understandable.  This must be the least pleasant part of working on
the release team. :(

Thanks again for looking it over.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Wed, 11 Aug 2010 02:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Aug 2010 02:33:04 GMT) Full text and rfc822 format available.

Message #40 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 592300@bugs.debian.org
Subject: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Tue, 10 Aug 2010 21:26:58 -0500
Hi release team,

Jonathan Nieder wrote:

>     Disable the memory usage limiter by default, changing the output
>     of --info-memory in a backwards incompatible way and introducing
>     an XZ_DEFAULTS environment variable to turn it back on.  This change
>     has already been made upstream.

I have prepared a package with this change; you can view it with

 git clone git://git.debian.org/collab-maint/xz.git
  - or -
 dget -u http://mentors.debian.net/debian/pool/main/x/xz-utils/xz-utils_4.999.9beta+20100810-1.dsc

Diffstat follows, diff attached.  Not uploaded to sid yet.  I do not
expect breakage but am prepared to deal with it if it comes.  Okay
to upload?

 INSTALL                          |    2 +-
 debian/changelog                 |   21 +++
 debian/control                   |   11 +-
 src/lzmainfo/lzmainfo.1          |    4 +-
 src/xz/args.c                    |   89 +++++++----
 src/xz/args.h                    |    2 +-
 src/xz/coder.c                   |    8 +-
 src/xz/hardware.c                |   96 +++++++----
 src/xz/hardware.h                |   23 ++-
 src/xz/list.c                    |    2 +-
 src/xz/message.c                 |   39 +----
 src/xz/message.h                 |    4 -
 src/xz/xz.1                      |  345 ++++++++++++++++++++++++--------------
 src/xzdec/xzdec.1                |   45 +-----
 src/xzdec/xzdec.c                |  176 +-------------------
 tests/test_compress.sh           |    6 +-
 windows/INSTALL-Windows.txt      |   15 ++-
 windows/{build.sh => build.bash} |    9 +-
 18 files changed, 423 insertions(+), 474 deletions(-)

unblock xz-utils/4.999.9beta+20100810-1

Thanks for your hard work.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Wed, 11 Aug 2010 02:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Aug 2010 02:33:06 GMT) Full text and rfc822 format available.

Message #45 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 592300@bugs.debian.org
Subject: Re: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Tue, 10 Aug 2010 21:29:58 -0500
[Message part 1 (text/plain, inline)]
Jonathan Nieder wrote:

> Diffstat follows, diff attached.

Oops, forgot to attach.  Here is the debdiff.
[debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Wed, 18 Aug 2010 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Aug 2010 12:12:03 GMT) Full text and rfc822 format available.

Message #50 received at 592300@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Jonathan Nieder" <jrnieder@gmail.com>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Wed, 18 Aug 2010 13:10:16 +0100
On Wed, August 11, 2010 03:29, Jonathan Nieder wrote:
> Jonathan Nieder wrote:
>
>> Diffstat follows, diff attached.
>
> Oops, forgot to attach.  Here is the debdiff.

I see that this has been uploaded already.  It would have been appreciated
if you'd pinged us about the lack of response rather than assuming that it
was equivalent to a go-ahead for upload.

In any case, please get back to us once the package has reached its 10 days.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Wed, 18 Aug 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Aug 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Wed, 18 Aug 2010 07:16:53 -0500
Adam D. Barratt wrote:

> I see that this has been uploaded already.  It would have been appreciated
> if you'd pinged us about the lack of response rather than assuming that it
> was equivalent to a go-ahead for upload.

Ah, sorry.  My thought process was that (1) it is better to get more
testing in sid than less and (2) if you consider the changes too
invasive it is possible to make another upload to scale them back.

So your input is still welcome.

> In any case, please get back to us once the package has reached its 10 days.

Will do.  Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sat, 28 Aug 2010 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 28 Aug 2010 19:42:06 GMT) Full text and rfc822 format available.

Message #60 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Sat, 28 Aug 2010 14:35:46 -0500
Hi again,

Adam D. Barratt wrote:

> In any case, please get back to us once the package has reached its 10 days.

The xz-utils package has reached its 10 days.

There is one more change planned before the version 5.0.0 release:
the details of the compression presets (-1, -2, etc).  As Larhzu
explains it:

| The trickiest part with the presets is that a single linear scale is not
| enough to cover the most useful settings.

and he is preparing some tweaks that get around that nicely.  In the
proposed new scale:

| The speed knob change from -0 to -6. From -6 to -9 only memory usage
| increases. Sometimes it increases compression time quite a bit too;
| sometimes it doesn't affect it a lot even if compression ratio improves.
| The idea is, like with the current presets, to discourage people from
| using higher than -6 when they don't need it.
...
| In the above list, -6 is close to
| the current -6e, and above -5 is a little bit faster than current -6.
...
| Since the speed knob changes for every step from -0 to -6, it's not too
| cumbersome to get custom settings. For example, pretty fast settings
| with big dictionary can give nice improvement in compression ratio
| without making things too much slower:
|
|     xz --lzma2=preset=2,dict=64MiB
|
| Or vice versa:
|
|     xz --lzma2=preset=6,dict=128KiB
|
| (I know it could be shorter, but I don't think it's too bad either.)
|
| I don't know if -6 or -5 should be the default. I don't know what most
| people want xz to do by default: excellent compression (but slow) or
| good compression without being too slow.

The memory usage at decompression time for -6, -7, and the default are
not going to change because applications are relying on them.

I think it should be possible to make these changes without modifying
the ABI.  Applications are just passing an integer representing which
preset to use and whether to use --extreme.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 30 Aug 2010 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Aug 2010 15:09:04 GMT) Full text and rfc822 format available.

Message #65 received at 592300@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 592300@bugs.debian.org
Cc: 592300-submitter@bugs.debian.org
Subject: Re: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Mon, 30 Aug 2010 16:57:54 +0200
Adam D. Barratt wrote:

>> In any case, please get back to us once the package has reached its
10 days.
>
> The xz-utils package has reached its 10 days.

unblocked, not closing bug as you still seem to speak about other changes?

Cheers

Luk




Message sent on to Jonathan Nieder <jrnieder@gmail.com>:
Bug#592300. (Mon, 30 Aug 2010 15:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 30 Aug 2010 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Aug 2010 15:18:05 GMT) Full text and rfc822 format available.

Message #73 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Luk Claes <luk@debian.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Mon, 30 Aug 2010 10:12:24 -0500
Luk Claes wrote:
> Jonathan Nieder wrote:

>> The xz-utils package has reached its 10 days.
>
> unblocked, not closing bug as you still seem to speak about other changes?

Yep.  Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 30 Aug 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Aug 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #78 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Luk Claes <luk@debian.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/4.999.9beta+20100810-1
Date: Mon, 30 Aug 2010 10:15:25 -0500
Luk Claes wrote:
> Jonathan Nieder wrote:

>> The xz-utils package has reached its 10 days.
>
> unblocked, not closing bug as you still seem to speak about other changes?

Yep.  Thank you.




Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 18:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 14:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 14:27:10 GMT) Full text and rfc822 format available.

Message #85 received at 592300@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Sun, 26 Sep 2010 16:24:36 +0200
[Message part 1 (text/plain, inline)]
On Sun, Aug  8, 2010 at 22:20:19 -0500, Jonathan Nieder wrote:

> XZ Utils 5.0.0 is likely to be released some time in the next few
> weeks.  As the upstream maintainer explains:
> 
> | In case of XZ Utils, a stable release is a promise about API, ABI, and
> | command line syntax compatibility long into the future.
> 
> Therefore I would like (pretty please?) to align with upstream on this.
> 
What's up with this?  Do we still need more updates in squeeze?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 15:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 15:03:10 GMT) Full text and rfc822 format available.

Message #90 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lasse Collin <lasse.collin@tukaani.org>
Cc: 592300@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>, Michal Čihař <nijel@debian.org>
Subject: XZ Utils 5 status?
Date: Sun, 26 Sep 2010 09:01:27 -0600
[Message part 1 (text/plain, inline)]
Hi Larhzu,

Julien Cristau wrote:
> On Sun, Aug  8, 2010 at 22:20:19 -0500, Jonathan Nieder wrote:

>> | In case of XZ Utils, a stable release is a promise about API, ABI, and
>> | command line syntax compatibility long into the future.
>>
>> Therefore I would like (pretty please?) to align with upstream on this.
>
> What's up with this?  Do we still need more updates in squeeze?

I uploaded commit 373ee26 (with the new presets) to Debian
experimental a few weeks ago and it works well. I didn't upload to
squeeze at the time because the manual does not document the new
presets.

Since then, there have been some updates to output and translations.
Is there anything else left to do before releasing v5.0.0, or would it
be safe to go with current master + man page updates?

Jonathan
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lasse Collin <lasse.collin@tukaani.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 16:51:03 GMT) Full text and rfc822 format available.

Message #95 received at 592300@bugs.debian.org (full text, mbox):

From: Lasse Collin <lasse.collin@tukaani.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 592300@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>, Michal Čihař <nijel@debian.org>
Subject: Re: XZ Utils 5 status?
Date: Sun, 26 Sep 2010 19:36:32 +0300
On 2010-09-26 Jonathan Nieder wrote:
> Julien Cristau wrote:
> > On Sun, Aug  8, 2010 at 22:20:19 -0500, Jonathan Nieder wrote:
> >> | In case of XZ Utils, a stable release is a promise about API,
> >> | ABI, and command line syntax compatibility long into the
> >> | future.
> >> 
> >> Therefore I would like (pretty please?) to align with upstream on
> >> this.
> > 
> > What's up with this?  Do we still need more updates in squeeze?
> 
> I uploaded commit 373ee26 (with the new presets) to Debian
> experimental a few weeks ago and it works well. I didn't upload to
> squeeze at the time because the manual does not document the new
> presets.

I just fixed a minor bug in the preset -3e. It was not as good setting 
as it should have been, so not a big issue.

> Since then, there have been some updates to output and translations.
> Is there anything else left to do before releasing v5.0.0, or would
> it be safe to go with current master + man page updates?

I don't know what to do with the memory usage limiter. The old way 
(before 792331) was a severe problem e.g. for Gentoo and FreeBSD ports, 
where xz refused to decompress files on systems with somewhat low RAM. 
Some people argued that any limits by default are bad and make xz 
unpredictable also in case of compression. Now that the limit is 
disabled by default, decompression works even though it might be 
extremely slow due to heavy swapping.

The limiter was removed also from compression. Recently I got two bug 
reports about compression failing on systems with somewhat low RAM. Many 
scripts use "xz -9" or "lzma -9", and malloc(674 MiB) fails e.g. on 
systems with 256 MiB RAM. With the old default limit the settings were 
automatically scaled down, and thus a high setting would work even 
though the compression ratio might have been worse.

Users can fairly easily set memory usage limits using the XZ_DEFAULTS 
environment variable. But I don't know if it is good to require that 
from every user having less than 1 GiB RAM. Maybe there should be a 
default memory usage limit for compression (but not decompression), but 
I don't know what that should be (40 %, 80 %, 95 % of RAM? max(80 % of 
RAM, RAM - 256 MiB)?). Some default limit may be needed in the future 
for threaded compression too, at least if people want threading to be 
enabled by default (more threads can mean dramatically higher memory 
usage).

All the options I know will be hated by some people, so it's hard to say 
what's the best way. Both the old and the current way can cause trouble 
in certain situations also for Debian users, even if you haven't got any 
bug reports so far.

Other than the possible changes to the memory usage limiter, there won't 
be any big changes to the code. It will be mostly documentation updates 
before 5.0.0.

-- 
Lasse Collin  |  IRC: Larhzu @ IRCnet & Freenode




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 17:24:05 GMT) Full text and rfc822 format available.

Message #100 received at 592300@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Lasse Collin <lasse.collin@tukaani.org>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org, Michal Čihař <nijel@debian.org>
Subject: Re: XZ Utils 5 status?
Date: Sun, 26 Sep 2010 17:21:07 +0000 (UTC)
Lasse Collin dixit:

>default memory usage limit for compression (but not decompression), but 
>I don't know what that should be (40 %, 80 %, 95 % of RAM? max(80 % of 
>RAM, RAM - 256 MiB)?). Some default limit may be needed in the future 

RAM is irrelevant, datasize ulimit (soft, maybe hard if you manipulate
it) are the things to look out for.

I’d rather suggest to abort if the memory for the compression level
selected cannot be allocated, but that may just be me. It’s uncon-
venient but unsurprising.

bye,
//mira“no remote tabcompletion either”bilos
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lasse Collin <lasse.collin@tukaani.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 19:00:03 GMT) Full text and rfc822 format available.

Message #105 received at 592300@bugs.debian.org (full text, mbox):

From: Lasse Collin <lasse.collin@tukaani.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org, Michal Čihař <nijel@debian.org>
Subject: Re: XZ Utils 5 status?
Date: Sun, 26 Sep 2010 21:56:39 +0300
On 2010-09-26 Thorsten Glaser wrote:
> Lasse Collin dixit:
> >default memory usage limit for compression (but not decompression),
> >but I don't know what that should be (40 %, 80 %, 95 % of RAM?
> >max(80 % of RAM, RAM - 256 MiB)?). Some default limit may be needed
> >in the future
> 
> RAM is irrelevant, datasize ulimit (soft, maybe hard if you
> manipulate it) are the things to look out for.

Resource limits could be worth checking too. Usability of resource 
limits varies between kernels, e.g. Linux ignores the data segment size 
limit. So many Linux systems don't have such limits set.

> I’d rather suggest to abort if the memory for the compression level
> selected cannot be allocated, but that may just be me. It’s uncon-
> venient but unsurprising.

That's what xz does now. It breaks some scripts on older boxes. The old 
method of having a default memory usage limit for both compression and 
decompression broke different scripts on older boxes. Breaking things 
generally annoys people, even though some users don't mind too much that 
they need to fix it either by editing the script(s) or setting a memory 
usage limit via XZ_DEFAULTS or XZ_OPT.

The problem can be phrased this way: Should "xz -9" work by default on a 
system with e.g. 64 MiB RAM? For many uses, a preset level higher than 
the default 6 is waste of memory, but even that needs 94 MiB of memory, 
which is no fun on old 64 MiB box.

Some possible solutions:

  - Keep the current way and let xz fail on older systems by default
    if the user hasn't set a memory usage limit.

  - Have a default memory usage limit for compression (but not
    decompression) based on total RAM and possibly also what
    resource usage limits are. Scale too high settings down to
    meet the limit.

  - Scale settings down until malloc() succeeds. In certain
    situations together with bad luck it can still fail by
    running out of memory in the middle of the file, but
    it is unlikely.

Personally I can live with the current way, since I set limits via 
XZ_DEFAULTS anyway. But maybe some other way would reduce the number of 
bug reports.

-- 
Lasse Collin  |  IRC: Larhzu @ IRCnet & Freenode




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Sun, 26 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #110 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lasse Collin <lasse.collin@tukaani.org>
Cc: Thorsten Glaser <tg@mirbsd.de>, 592300@bugs.debian.org, Michal Čihař <nijel@debian.org>
Subject: Re: XZ Utils 5 status?
Date: Sun, 26 Sep 2010 14:30:40 -0500
Lasse Collin wrote:
> On 2010-09-26 Thorsten Glaser wrote:

>> I’d rather suggest to abort if the memory for the compression level
>> selected cannot be allocated, but that may just be me. It’s uncon-
>> venient but unsurprising.
>
> That's what xz does now.
[...]
> Personally I can live with the current way, since I set limits via 
> XZ_DEFAULTS anyway. But maybe some other way would reduce the number of 
> bug reports.

I also like the current way, for what it's worth.  Maybe a passage in
README or README.Debian, something like this, could help.

	The memory usage of xz can vary from a few hundred
	kilobytes to several gigabytes depending on the
	compression settings.  If you would like xz to
	automatically scale down its settings while compressing
	to decrease memory usage, you may want to add an
	appropriate setting to /etc/environment or ~/.profile:

		XZ_DEFAULTS=--memlimit=256MiB
		export XZ_DEFAULTS

	See the section on "Memory usage" in the xz(1) manual
	page for details.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 27 Sep 2010 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Sep 2010 01:15:06 GMT) Full text and rfc822 format available.

Message #115 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Sun, 26 Sep 2010 20:08:30 -0500
Julien Cristau wrote:
> On Sun, Aug  8, 2010 at 22:20:19 -0500, Jonathan Nieder wrote:

>> XZ Utils 5.0.0 is likely to be released some time in the next few
>> weeks.
[...]
> What's up with this?  Do we still need more updates in squeeze?

Yes.  Something close to what I would like to see in squeeze is
now in mentors.debian.net:

 - git://git.debian.org/collab-maint/xz.git experimental
 - http://mentors.debian.net/debian/pool/main/x/xz-utils/xz-utils_4.999.9beta+20100926-1.dsc

but it needs documentation updates --- e.g., the table in xz.1 mapping
compression options to memory usage is out of date.  Hopefully
tomorrow I will have something ready to review for unstable.

Thanks for the ping.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 27 Sep 2010 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Sep 2010 23:21:03 GMT) Full text and rfc822 format available.

Message #120 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 592300@bugs.debian.org
Subject: Re: Bug#592300: future unblock: xz-utils/5.0.0
Date: Mon, 27 Sep 2010 18:16:23 -0500
Julien Cristau wrote:

> What's up with this?  Do we still need more updates in squeeze?

I would like to upload version 4.999.9beta+20100927-1 to unstable.
Changes since 20100810 (testing):

  * New snapshot, taken from upstream commit cec0ddc.
    - liblzma: The meaning of --extreme has been tweaked to address
      cases in which it made the compression ratio worse.  Some files
      might benefit slightly less from --extreme.
    - xz: Table columns are not misaligned any more in messages with
      multi-byte characters (e.g., file sizes with LANG=fi_FI.UTF-8).
    - xz: New German and Italian translations.
    - Various documentation, message, and translation updates.
  * Update copyright file.
  * debian/rules get-orig-source: Update upstream Git URL.
  * xz-utils/README.Debian: Advertise XZ_DEFAULTS.

  * New snapshot, taken from upstream commit 373ee26.
    - liblzma: The settings for compression levels 0 through 5
      (used by xz -0/.../-5) have been tweaked.  This affects the
      speed, compression ratio, and memory usage at compression and
      decompression time.
    - Does not search so hard for a match when a low "nice match
      length" setting is specified without a depth.
    - xz: The -1/.../-9 preset options override any previously
      specified filters, rather than vice versa.  To mix presets
      with filter options, use the --lzma2=preset=n option.
    - xz: Warns about --memlimit-compress settings that result in
      compression settings changing even if no explicit -1/.../-9,
      --lzma1, or --lzma2 option was used.
    - "xz -v -v --compress" now prints an estimate of the memory
      required to decompress a file.
  * debian/copyright: Update upstream Git URL.
  * debian/changelog.upstream.sh: Permit terser changelog lines.
  * Standards-Version: 3.9.1 (checked).

You can find it (targetted at experimental) at

 git://git.debian.org/collab-maint/xz.git experimental
 http://mentors.debian.net/debian/pool/main/x/xz-utils/xz-utils_4.999.9beta+20100927-1.dsc

The documentation is up to date now, so I would have no reservations
about including it in squeeze.

What do you think?
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 25 Oct 2010 17:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 25 Oct 2010 17:06:02 GMT) Full text and rfc822 format available.

Message #125 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 592300@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>, Michal Čihař <nijel@debian.org>
Subject: freeze exception: xz-utils 5.0.0
Date: Mon, 25 Oct 2010 12:00:00 -0500
Hi,

Jonathan Nieder wrote:

> XZ Utils 5.0.0 is likely to be released some time in the next few
> weeks.  As the upstream maintainer explains:
> 
> | In case of XZ Utils, a stable release is a promise about API, ABI, and
> | command line syntax compatibility long into the future.
> 
> Therefore I would like (pretty please?) to align with upstream on this.

5.0.0 was released at last.  Relative to xz-utils in testing, it
brings the following major changes:

  - Any preset level (-0 ... -9) specified after a custom filter
    chain option (e.g. --lzma2) will override the custom filter chain.
    In testing, any preset options after a custom filter chain option
    is completely ignored.

  - As mentioned before, the compression settings associated with the
    preset levels -0 ... -9 have been changed. --extreme was changed a
    little, too.  It is now less likely to make compression worse, but
    with some files the new --extreme may compress slightly worse than
    the old --extreme.

  - --list is looks ugly in Squeeze on locales that use space as
    a thousands separator.

  - 5.0.0 allows LZMA_FINISH in addition to LZMA_RUN for Index
    encoding and decoding. The API documentation explains that LZMA_RUN
    is better if support for < 5.0.0 is needed. This is an advanced API,
    not used by any current Debian packages aside from xz-utils itself.

  - Major manual page updates and other documentation updates.

The sources are at:
  git://git.debian.org/collab-maint/xz.git experimental

The xz-utils package in experimental demonstrates the changes.  Most
of these changes have been in experimental for a while, and while they
are not huge, they are still nice to have.  Would it be okay to upload
to unstable, perhaps with some extended age-days?

Thanks for your work to bring about a high quality Squeeze,
Jonathan




Removed tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 17:15:06 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Fri, 05 Nov 2010 15:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Thu, 11 Nov 2010 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Nov 2010 19:15:09 GMT) Full text and rfc822 format available.

Message #134 received at 592300@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300@bugs.debian.org
Cc: Thorsten Glaser <tg@mirbsd.de>, Michal Čihař <nijel@debian.org>
Subject: Re: Bug#592300: freeze exception: xz-utils 5.0.0
Date: Thu, 11 Nov 2010 20:12:55 +0100
[Message part 1 (text/plain, inline)]
On Mon, Oct 25, 2010 at 12:00:00 -0500, Jonathan Nieder wrote:

> 5.0.0 was released at last.  Relative to xz-utils in testing, it
> brings the following major changes:
> 
Please upload to unstable.  Sorry for the delay.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592300; Package release.debian.org. (Mon, 22 Nov 2010 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 22 Nov 2010 09:57:03 GMT) Full text and rfc822 format available.

Message #139 received at 592300@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 592300@bugs.debian.org
Subject: Re: Bug#592300: freeze exception: xz-utils 5.0.0
Date: Mon, 22 Nov 2010 03:54:28 -0600
user release.debian.org@packages.debian.org
usertags 592300 unblock
retitle 592300 unblock: xz-utils/5.0.0-2
thanks

Julien Cristau wrote:
> On Mon, Oct 25, 2010 at 12:00:00 -0500, Jonathan Nieder wrote:

>> 5.0.0 was released at last.  Relative to xz-utils in testing, it
>> brings the following major changes:
>
> Please upload to unstable.  Sorry for the delay.

Thank you.  Done and reached its 10 days.  (More time cooking in
unstable may or may not be appropriate depending on your preference).




Changed Bug title to 'unblock: xz-utils/5.0.0-2' from 'future unblock: xz-utils/5.0.0' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 22 Nov 2010 09:57:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 01 Dec 2010 22:24:07 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Wed, 01 Dec 2010 22:24:07 GMT) Full text and rfc822 format available.

Message #146 received at 592300-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 592300-done@bugs.debian.org
Subject: Re: Bug#592300: freeze exception: xz-utils 5.0.0
Date: Wed, 1 Dec 2010 23:20:43 +0100
[Message part 1 (text/plain, inline)]
On Mon, Nov 22, 2010 at 03:54:28 -0600, Jonathan Nieder wrote:

> Thank you.  Done and reached its 10 days.  (More time cooking in
> unstable may or may not be appropriate depending on your preference).
> 
And finally unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Dec 2010 07:30:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:46:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.